<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
/*
	Converted to v7.0 by:
	
	php-Invent Team
	http://www.php-invent.com
	Fehler Korrektur und Pubdate und Author eingefgt
	betatest@phpfusion-betatest.de
	htto://phpfusion-betatest.de
	Developer: SoBeNoFear (ianunruh@gmail.com)
*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!file_exists(INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."rss_parser_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."rss_parser_panel/locale/Polish.php";
}

include INFUSIONS."rss_parser_panel/infusion_db.php";

// Infusion Information
$inf_title = "RSS Parser";
$inf_description = "Adds RSS data to a panel or feeds page.";
$inf_version = "3.00";
$inf_developer = "Surreal Kid (v7 by php-Invent)";
$inf_email = "scott@maiden-city.co.uk";
$inf_weburl = "http://www.php-invent.com";

$inf_folder = "rss_parser_panel";

$inf_newtable[1] = DB_INFUSION_TABLE." (
		id int(5) unsigned NOT NULL auto_increment,
		name varchar(100) NOT NULL default '',
		file varchar(255) NOT NULL default '',
		type smallint(1) NOT NULL default '0',
		in_feeds_page tinyint(1) NOT NULL default '0',
		page_order int(5) unsigned NOT NULL default '0',
		num_items_center_panel int(5) unsigned NOT NULL default '0',
		num_items_side_panel int(5) unsigned NOT NULL default '0',
		num_items_feeds_page int(5) unsigned NOT NULL default '0',
		cache_limit int(10) unsigned NOT NULL default '0',
		new_window smallint(1) unsigned NOT NULL default '1',
		PRIMARY KEY  (id)
	) TYPE=MyISAM;";

//$inf_droptable[1] = DB_PREFIX."rss_feeds";
$inf_altertable[1] = DB_INFUSION_TABLE." ADD new_window tinyint(1) unsigned NOT NULL default '1' AFTER type";

$inf_adminpanel[1] = array(
	"title" => "RSS Feeds",
	"image" => "infusion_panel.gif",
	"panel" => "rss_parser_admin.php",
	"rights" => "RSS"
);

$inf_sitelink[1] = array(
	"title" => "RSS Feeds",
	"url" => "feeds.php",
	"visibility" => "0"
);
?>